#!/usr/bin/env python
#
# Copyright (c) 2016-2017, Parallels International GmbH
#
# This file is part of disp-helper. It's free software; you can redistribute
# it and/or modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
# Our contact details: Parallels International GmbH, Vordergasse 59, 8200
# Schaffhausen, Switzerland.
#

import re
from infra_cep_helper import CEPCollecting


class Memory(CEPCollecting):
    def meminfo(self, w):
        regex = re.compile("{}:\s+(.*) kB$".format(w))
        for line in open("/proc/meminfo", "r"):
            s = regex.findall(line)
            if s:
                self.result[w] = s[0]

    def fill_results(self):
        self.meminfo("MemTotal")
        self.meminfo("MemFree")
        self.meminfo("MemAvailable")
        self.meminfo("SwapTotal")
        self.meminfo("SwapFree")


def main():
    o = Memory()
    o.run()


if __name__ == "__main__":
    main()
